<?php
ini_set('display_errors',E_ALL);

include "vendor/autoload.php";

define('IS_DEV', (!isset($_SERVER['HTTP_HOST'])));
define('SITE_ROOT', __DIR__);

if (IS_DEV)
{
	define('OVERLAY_DIR', dirname(__DIR__) . '/esl-overlay/');
}
else
{
	define('OVERLAY_DIR', dirname(__DIR__).'/overlays/');
}

$twig = \EOG\Utils\TwigFactory::getEnvironment(SITE_ROOT);
$s = new \EOG\Models\Stripe();

$html_content = $twig->render('templates/overlay-base.twig', ['stripe' => $s]);

file_put_contents(OVERLAY_DIR . 'generated.html', $html_content);

echo OVERLAY_DIR . 'generated.html';
